This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 902327

Summary: mantis: Reporter privilege user can change bug state to NEW
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: extras-orphan, giallu, sven
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121206,reported=20130119,source=oss-security,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:P/A:N,fedora-all/mantis=affected,epel-5/mantis=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 902331, 902333    
Bug Blocks:    

Description Jan Lieskovsky 2013-01-21 06:49:12 EST
A security flaw was found in the way Mantis, a web-based issue tracking system, checked access level permissions. In some cases, Mantis users of the Reporter role were allowed to change status of an existing issue to NEW state (even when the issue was not originally created / reported by them).

Upstream bug report:
[1] http://www.mantisbt.org/bugs/view.php?id=15258

Relevant upstream patches (against 1.2.x branch):
[2] https://github.com/mantisbt/mantisbt/commit/179bfc016596bf11cb4ac1e3bb6d76acbac30aa0
[3] https://github.com/mantisbt/mantisbt/commit/c88137343b0f6d47613ed7fefc5d1277b901b778

Other references:
[4] http://www.openwall.com/lists/oss-security/2013/01/19/1
Comment 1 Jan Lieskovsky 2013-01-21 06:50:48 EST
This issue affects the versions of the mantis package, as shipped with Fedora release of 16, 17, 18, and Fedora EPEL 5. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-01-21 06:52:51 EST
Created mantis tracking bugs for this issue

Affects: fedora-all [bug 902331]
Comment 3 Jan Lieskovsky 2013-01-21 06:53:41 EST
Created mantis tracking bugs for this issue

Affects: epel-5 [bug 902333]
Comment 4 Fedora Update System 2013-03-31 23:26:53 EDT
mantis-1.2.14-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-03-31 23:32:41 EDT
mantis-1.2.14-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.